Bullet Collision Detection & Physics Library: Bullet::btQuantizedBvhDoubleData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btQuantizedBvhDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btQuantizedBvhDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_bvhAabbMin
btVector3DoubleData | m_bvhAabbMax
btVector3DoubleData | m_bvhQuantization
int | m_curNodeIndex
int | m_useQuantization
int | m_numContiguousLeafNodes
int | m_numQuantizedContiguousNodes
btOptimizedBvhNodeDoubleData * | m_contiguousNodesPtr
btQuantizedBvhNodeData * | m_quantizedContiguousNodesPtr
int | m_traversalMode
int | m_numSubtreeHeaders
btBvhSubtreeInfoData * | m_subTreeInfoPtr

## Detailed Description

Definition at line 279 of file bullet.h.

## Member Data Documentation

## ◆ m_bvhAabbMax

btVector3DoubleData Bullet::btQuantizedBvhDoubleData::m_bvhAabbMax

Definition at line 283 of file bullet.h.

## ◆ m_bvhAabbMin

btVector3DoubleData Bullet::btQuantizedBvhDoubleData::m_bvhAabbMin

Definition at line 282 of file bullet.h.

## ◆ m_bvhQuantization

btVector3DoubleData Bullet::btQuantizedBvhDoubleData::m_bvhQuantization

Definition at line 284 of file bullet.h.

## ◆ m_contiguousNodesPtr

btOptimizedBvhNodeDoubleData* Bullet::btQuantizedBvhDoubleData::m_contiguousNodesPtr

Definition at line 289 of file bullet.h.

## ◆ m_curNodeIndex

int Bullet::btQuantizedBvhDoubleData::m_curNodeIndex

Definition at line 285 of file bullet.h.

## ◆ m_numContiguousLeafNodes

int Bullet::btQuantizedBvhDoubleData::m_numContiguousLeafNodes

Definition at line 287 of file bullet.h.

## ◆ m_numQuantizedContiguousNodes

int Bullet::btQuantizedBvhDoubleData::m_numQuantizedContiguousNodes

Definition at line 288 of file bullet.h.

## ◆ m_numSubtreeHeaders

int Bullet::btQuantizedBvhDoubleData::m_numSubtreeHeaders

Definition at line 292 of file bullet.h.

## ◆ m_quantizedContiguousNodesPtr

btQuantizedBvhNodeData* Bullet::btQuantizedBvhDoubleData::m_quantizedContiguousNodesPtr

Definition at line 290 of file bullet.h.

## ◆ m_subTreeInfoPtr

btBvhSubtreeInfoData* Bullet::btQuantizedBvhDoubleData::m_subTreeInfoPtr

Definition at line 293 of file bullet.h.

## ◆ m_traversalMode

int Bullet::btQuantizedBvhDoubleData::m_traversalMode

Definition at line 291 of file bullet.h.

## ◆ m_useQuantization

int Bullet::btQuantizedBvhDoubleData::m_useQuantization

Definition at line 286 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h